# pqxx::basic_ilostream< CHAR, TRAITS > Class Template Reference

Input stream that gets its data from a large object. More...

`#include <largeobject.hxx>`

Inheritance diagram for pqxx::basic_ilostream< CHAR, TRAITS >:

[legend]

List of all members.

## Public Types
typedef CHAR | char_type
typedef TRAITS | traits_type
typedef traits_type::int_type | int_type
typedef traits_type::pos_type | pos_type
typedef traits_type::off_type | off_type
## Public Member Functions
| basic_ilostream (dbtransaction &T, largeobject O, largeobject::size_type BufSize=512)
| Create a basic_ilostream.
| basic_ilostream (dbtransaction &T, oid O, largeobject::size_type BufSize=512)
| Create a basic_ilostream.

## Detailed Description

### template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>
class pqxx::basic_ilostream< CHAR, TRAITS >

Input stream that gets its data from a large object.

Use this class exactly as you would any other istream to read data from a large object. All formatting and streaming operations of `std::istream` are supported. What you'll typically want to use, however, is the ilostream typedef (which defines a basic_ilostream for `char`). This is similar to how e.g. `std::ifstream` relates to `std::basic_ifstream`.

Currently only works for `<char, std::char_traits<char> >`.

## Member Typedef Documentation

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef CHAR pqxx::basic_ilostream< CHAR, TRAITS >::char_type

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef traits_type::int_type pqxx::basic_ilostream< CHAR, TRAITS >::int_type

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef traits_type::off_type pqxx::basic_ilostream< CHAR, TRAITS >::off_type

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef traits_type::pos_type pqxx::basic_ilostream< CHAR, TRAITS >::pos_type

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

typedef TRAITS pqxx::basic_ilostream< CHAR, TRAITS >::traits_type

## Constructor & Destructor Documentation

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

pqxx::basic_ilostream< CHAR, TRAITS >::basic_ilostream | ( | dbtransaction & | T,
|  | largeobject | O,
|  | largeobject::size_type | BufSize = `512` |
| ) |  |  |

Create a basic_ilostream.

Parameters:

  | T | Transaction in which this stream is to exist
  | O | Large object to access
  | BufSize | Size of buffer to use internally (optional)

template<typename CHAR = char, typename TRAITS = std ::char_traits<CHAR>>

pqxx::basic_ilostream< CHAR, TRAITS >::basic_ilostream | ( | dbtransaction & | T,
|  | oid | O,
|  | largeobject::size_type | BufSize = `512` |
| ) |  |  |

Create a basic_ilostream.

Parameters:

  | T | Transaction in which this stream is to exist
  | O | Identifier of a large object to access
  | BufSize | Size of buffer to use internally (optional)

The documentation for this class was generated from the following file:

- largeobject.hxx